###########################################################################
# These are the include path and the libraries needed to compile the ML
# library, and to link the ML library with another package of an
# application.
###########################################################################

# Optional ML dependencies 
include /usr/include/Makefile.export.galeri
include /usr/include/Makefile.export.epetra 
include /usr/include/Makefile.export.amesos
include /usr/include/Makefile.export.ifpack
include /usr/include/Makefile.export.teuchos
include /usr/include/Makefile.export.aztecoo
include /usr/include/Makefile.export.epetraext
include /usr/include/Makefile.export.isorropia

# These are the needed includes to build the library
_ML_BUILD_LIB_INCLUDES = \
	    -I/usr/src/RPM/BUILD/trilinos-9.0.3/packages/ml/src \
	    -I/usr/src/RPM/BUILD/trilinos-9.0.3/packages/ml/src \
            -I/usr/src/RPM/BUILD/trilinos-9.0.3/packages/ml/src/Comm \
	    -I/usr/src/RPM/BUILD/trilinos-9.0.3/packages/ml/src/Operator \
	    -I/usr/src/RPM/BUILD/trilinos-9.0.3/packages/ml/src/Smoother \
	    -I/usr/src/RPM/BUILD/trilinos-9.0.3/packages/ml/src/Coarsen \
	    -I/usr/src/RPM/BUILD/trilinos-9.0.3/packages/ml/src/Krylov \
	    -I/usr/src/RPM/BUILD/trilinos-9.0.3/packages/ml/src/Main \
	    -I/usr/src/RPM/BUILD/trilinos-9.0.3/packages/ml/src/FEGrid \
	    -I/usr/src/RPM/BUILD/trilinos-9.0.3/packages/ml/src/Utils \
	    -I/usr/src/RPM/BUILD/trilinos-9.0.3/packages/ml/src/MLAPI \
	    -I/usr/src/RPM/BUILD/trilinos-9.0.3/packages/ml/src/MatrixFree \
	    -I/usr/src/RPM/BUILD/trilinos-9.0.3/packages/ml/src/Include \
	    $(ISORROPIA_INCLUDES) \
	    $(GALERI_INCLUDES) \
	    $(EPETRA_INCLUDES) \
	    $(AMESOS_INCLUDES) \
	    $(IFPACK_INCLUDES) \
	    $(TEUCHOS_INCLUDES) \
	    $(AZTECOO_INCLUDES) \
	    $(EPETRAEXT_INCLUDES)

# These are the needed includes to build the examples
_ML_INCLUDES = \
	    -I/usr/src/RPM/BUILD/trilinos-9.0.3/packages/ml/src \
	    -I/usr/src/RPM/BUILD/trilinos-9.0.3/packages/ml/src \
            -I/usr/src/RPM/BUILD/trilinos-9.0.3/packages/ml/src/Comm \
	    -I/usr/src/RPM/BUILD/trilinos-9.0.3/packages/ml/src/Operator \
	    -I/usr/src/RPM/BUILD/trilinos-9.0.3/packages/ml/src/Smoother \
	    -I/usr/src/RPM/BUILD/trilinos-9.0.3/packages/ml/src/Coarsen \
	    -I/usr/src/RPM/BUILD/trilinos-9.0.3/packages/ml/src/Krylov \
	    -I/usr/src/RPM/BUILD/trilinos-9.0.3/packages/ml/src/Main \
	    -I/usr/src/RPM/BUILD/trilinos-9.0.3/packages/ml/src/FEGrid \
	    -I/usr/src/RPM/BUILD/trilinos-9.0.3/packages/ml/src/Utils \
	    -I/usr/src/RPM/BUILD/trilinos-9.0.3/packages/ml/src/MLAPI \
	    -I/usr/src/RPM/BUILD/trilinos-9.0.3/packages/ml/src/MatrixFree \
	    -I/usr/src/RPM/BUILD/trilinos-9.0.3/packages/ml/src/RefMaxwell \
	    -I/usr/src/RPM/BUILD/trilinos-9.0.3/packages/ml/src/Include \
	    $(ISORROPIA_INCLUDES) \
	    $(GALERI_INCLUDES) \
	    $(EPETRA_INCLUDES) \
	    $(AMESOS_INCLUDES) \
	    $(IFPACK_INCLUDES) \
	    $(TEUCHOS_INCLUDES) \
	    $(AZTECOO_INCLUDES) \
	    $(EPETRAEXT_INCLUDES)

_ML_LIBS =  -L/usr/lib/openmpi/lib -L/usr/src/RPM/BUILD/trilinos-9.0.3/packages/ml/src -lml $(GALERI_LIBS) $(ISORROPIA_LIBS) $(EPETRA_LIBS) $(AMESOS_LIBS) $(IFPACK_LIBS) $(TEUCHOS_LIBS) $(AZTECOO_LIBS) $(EPETRAEXT_LIBS) -llapack  -lmpi  -L/usr/src/RPM/BUILD/trilinos-9.0.3/packages/zoltan/src/Obj_generic -L/usr/src/RPM/BUILD/trilinos-9.0.3/packages/epetra/src -lsuperlu_dist_2.3 -lsuperlu_3.1 -ltmglib -L/usr/lib/openmpi/lib -lmpi -Wl,-R/usr/lib/openmpi/lib -larprec -lgmp -lgmpxx -lblitz -lgetfem -ly12m -lumfpack -lamd -lklu -lsuperlu_dist_2.3 -lparmetis -lmetis -lsmumps -ldmumps -lcmumps -lzmumps -lmumps_common -lpord -lesmumps -lscotch -lscotcherr -L/usr/src/RPM/BUILD/trilinos-9.0.3 -lscalapack -lblacs -larpack_LINUX -lmpi_f77 -lmpi_f90 -lmpi_cxx -lmpi -lopen-pal -lopen-rte -llapack_atlas -lf77blas -lblas -lcblas -latlas  -L/usr/lib/openmpi/lib -L/usr/src/RPM/BUILD/trilinos-9.0.3/packages/zoltan/src/Obj_generic -L/usr/src/RPM/BUILD/trilinos-9.0.3/packages/epetra/src -L/usr/src/RPM/BUILD/trilinos-9.0.3 -L/usr/lib/gcc/i586-alt-linux/4.4.1 -L/usr/lib/gcc/i586-alt-linux/4.4.1/../../.. -lmpi -lsuperlu_dist_2.3 -lsuperlu_3.1 -ltmglib -R/usr/lib/openmpi/lib -larprec -lgmp -lgmpxx -lblitz -lgetfem -ly12m -lumfpack -lamd -lklu -lparmetis -lmetis -lsmumps -ldmumps -lcmumps -lzmumps -lmumps_common -lpord -lesmumps -lscotch -lscotcherr -lscalapack -lblacs -larpack_LINUX -lmpi_f77 -lmpi_f90 -lmpi_cxx -lopen-pal -lopen-rte -llapack_atlas -lf77blas -lblas -lcblas -latlas -Rpath=/usr/lib/openmpi/lib -ldl -lnsl -lutil -lgfortranbegin -lgfortran -lm -lpthread 

ML_BUILD_LIB_INCLUDES  = $(shell /usr/bin/perl /usr/bin/strip_dup_incl_paths.pl $(_ML_BUILD_LIB_INCLUDES))
ML_INCLUDES  = $(shell /usr/bin/perl /usr/bin/strip_dup_incl_paths.pl $(_ML_INCLUDES))
ML_LIBS      = $(shell /usr/bin/perl /usr/bin/strip_dup_libs.pl $(_ML_LIBS))
#ML_BUILD_LIB_INCLUDES = $(_ML_BUILD_LIB_INCLUDES)
#ML_INCLUDES = $(_ML_INCLUDES)
#ML_LIBS     = $(_ML_LIBS)

###########################################################################
# These variables define the include path and libraries that can be used in
# ML's examples and tests, but that are not required to compile or link
# ML itself.
###########################################################################

#Currently no packages are listed in this area.  Galeri is now used in
# ml/src.

#include /usr/src/RPM/BUILD/trilinos-9.0.3/packages/ml/../galeri/Makefile.export.galeri

_ML_EXTRA_INCLUDES =

_ML_EXTRA_LIBS =

ML_EXTRA_INCLUDES  = $(shell /usr/bin/perl /usr/bin/strip_dup_incl_paths.pl $(_ML_EXTRA_INCLUDES))
ML_EXTRA_LIBS      = $(shell /usr/bin/perl /usr/bin/strip_dup_libs.pl $(_ML_EXTRA_LIBS))
#ML_EXTRA_INCLUDES = $(_ML_EXTRA_INCLUDES)
#ML_EXTRA_LIBS     = $(_ML_EXTRA_LIBS)

#ML_LINK = $(CXX) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
ML_LINK = $(CXX) $(AM_LDFLAGS) $(LDFLAGS) -o $@

# Macro that can be added to a user's Makefile as a dependency to ensure
# relinking if the ML library changes.
ML_LIB_DEP = /usr/src/RPM/BUILD/trilinos-9.0.3/packages/ml/src/libml.a
